<script>
  // core components
  import axios from 'axios';
  import {onMount} from 'svelte';
  import CardWGProfile from "components/Cards/CardWGProfiles.svelte";
  import CardWGControl from "components/Cards/CardWGControl.svelte";

  let wgResponse = null;
  let filter = null;
  let unique = {};
  let filter_action = false;
  let checked_vals = [];

  let wgProfileFetch = [];

    async function update_wg_table() {

        }
  // onMount(async () => {
  //         await axios.get('http://192.168.10.2:8000/api2/wgClients')
  //             .then( response => {
  //                 wgProfileFetch = response.data
  //                 });
  //         console.log(wgProfileFetch);
  //         });

</script>

<div class="flex flex-wrap mt-4 mb-8">
    <CardWGControl bind:checked_vals={checked_vals} bind:filter_action={filter_action} bind:filter={filter}/>
    <CardWGProfile bind:checked_vals={checked_vals} bind:filter_action={filter_action} wgResponse={wgResponse} bind:filter={filter}/>
</div>
